index

Varkon Interactive users manual

# Lines

A line in Varkon is straight and limited by start- and end position. The parametrisation along a line is 0 to 1 and the parameter is relative to line length.

## Methods

- Two positions free
- Two positions projected
- Parallell
- Position and angle
- Position and perpendicular
- Position and tangent
- Two tangents

There are no infinite or semi infinite line entities in Varkon. If you need something with direction and infinite length you can use a coordinate system or a vector parameter or variable.

A line can be converted to a curve using the composite curve method.

Varkon version 1.19C svn# 120